{% extends "base.html.jinja" %}

{% block content %}
  <div class="d-flex align-items-center">
    <main class="py-5 m-100 m-auto" style="max-width: 500px">
      <form method="POST" enctype="multipart/form-data">
        <fieldset id="forms__input">
          <legend class="text-center">XDF3 zu JSON Schema Konverter</legend>

          <p>
            Konvertiert eine Schemadatei zu JSON Schema. Alle externen
            Codelisten werden bei Bedarf aus dem XRepository nachgeladen.
          </p>

          <div class="mb-3">
            <label for="schema">Schemadatei auswählen:</label>
            <input
              class="form-control"
              name="schema"
              type="file"
              id="schema"
              accept="text/xml"
              required
            />
          </div>

          <button class="btn btn-primary w-100 py-2 mt-3" type="submit">
            Konvertieren
          </button>
        </fieldset>
      </form>
    </main>
  </div>
{% endblock %}
